# Calendar - **OpenAPI Version:** `3.1.0` - **API Version:** `1.0.0` The Zoom Calendar webhooks allow developers to receive events for [Zoom Calendar](https://developers.zoom.us/docs/zoom-calendar/) features. ## Operations ### POST calendar.event\_delete - **Method:** `POST` - **Path:** `calendar.event_delete` - **Tags:** calendar #### Request Body ##### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — A timestamp at which the event occurred. - **`payload` (required)** `object` - **`account_id`** `string` — The account ID of the user's calendar that has the event. - **`object`** `object` — The information of the event. - **`event_id`** `string` — The event ID. - **`resource_id`** `string` — The resource ID. - **`operator`** `string` — This field indicates who performed the action. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "operator": "abc@zoom.com", "object": { "resource_id": "abc@zoom.com", "event_id": "y95rj3e0i54dbz8hstc2q5qoa1" } } } ``` #### Responses ##### Status: 200 ###### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — A timestamp at which the event occurred. - **`payload` (required)** `object` - **`account_id`** `string` — The account ID of the user's calendar that has the event. - **`object`** `object` — The information of the event. - **`event_id`** `string` — The event ID. - **`resource_id`** `string` — The resource ID. - **`operator`** `string` — This field indicates who performed the action. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "operator": "abc@zoom.com", "object": { "resource_id": "abc@zoom.com", "event_id": "y95rj3e0i54dbz8hstc2q5qoa1" } } } ``` ### POST calendar.acl\_delete - **Method:** `POST` - **Path:** `calendar.acl_delete` - **Tags:** calendar #### Request Body ##### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — A timestamp at which the event occurred. - **`payload` (required)** `object` - **`account_id`** `string` — The account ID of the user's calendar that has the ACL. - **`object`** `object` — The information of the ACL. - **`acl_id`** `string` — The ACL ID. - **`resource_id`** `string` — The resource ID. - **`operator`** `string` — This field indicates who performed the action. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "operator": "abc@zoom.com", "object": { "resource_id": "abc@zoom.com", "acl_id": "user:def@zoom.com" } } } ``` #### Responses ##### Status: 200 ###### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — A timestamp at which the event occurred. - **`payload` (required)** `object` - **`account_id`** `string` — The account ID of the user's calendar that has the ACL. - **`object`** `object` — The information of the ACL. - **`acl_id`** `string` — The ACL ID. - **`resource_id`** `string` — The resource ID. - **`operator`** `string` — This field indicates who performed the action. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "operator": "abc@zoom.com", "object": { "resource_id": "abc@zoom.com", "acl_id": "user:def@zoom.com" } } } ``` ### POST calendar.acl\_create - **Method:** `POST` - **Path:** `calendar.acl_create` - **Tags:** calendar #### Request Body ##### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — A timestamp at which the event occurred. - **`payload` (required)** `object` - **`account_id`** `string` — The account ID of the user's calendar that has the ACL. - **`object`** `object` — The Information of the ACL. - **`acl_id`** `string` — The ACL ID. - **`resource_id`** `string` — The resource ID. - **`operator`** `string` — This field indicates who performed the action. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "operator": "abc@zoom.com", "object": { "resource_id": "abc@zoom.com", "acl_id": "user:def@zoom.com" } } } ``` #### Responses ##### Status: 200 ###### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — A timestamp at which the event occurred. - **`payload` (required)** `object` - **`account_id`** `string` — The account ID of the user's calendar that has the ACL. - **`object`** `object` — The Information of the ACL. - **`acl_id`** `string` — The ACL ID. - **`resource_id`** `string` — The resource ID. - **`operator`** `string` — This field indicates who performed the action. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "operator": "abc@zoom.com", "object": { "resource_id": "abc@zoom.com", "acl_id": "user:def@zoom.com" } } } ``` ### POST calendar.event\_create - **Method:** `POST` - **Path:** `calendar.event_create` - **Tags:** calendar #### Request Body ##### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — A timestamp at which the event occurred. - **`payload` (required)** `object` - **`account_id`** `string` — The account ID of the user's calendar that has the event. - **`object`** `object` — The information of the event. - **`event_id`** `string` — The event ID. - **`resource_id`** `string` — The resource ID. - **`operator`** `string` — This field indicates who performed the action. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "operator": "abc@zoom.com", "object": { "resource_id": "abc@zoom.com", "event_id": "y95rj3e0i54dbz8hstc2q5qoa1" } } } ``` #### Responses ##### Status: 200 ###### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — A timestamp at which the event occurred. - **`payload` (required)** `object` - **`account_id`** `string` — The account ID of the user's calendar that has the event. - **`object`** `object` — The information of the event. - **`event_id`** `string` — The event ID. - **`resource_id`** `string` — The resource ID. - **`operator`** `string` — This field indicates who performed the action. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "operator": "abc@zoom.com", "object": { "resource_id": "abc@zoom.com", "event_id": "y95rj3e0i54dbz8hstc2q5qoa1" } } } ``` ### POST calendar.setting\_create - **Method:** `POST` - **Path:** `calendar.setting_create` - **Tags:** calendar #### Request Body ##### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — A timestamp at which the event occurred. - **`payload` (required)** `object` - **`account_id`** `string` — The account ID of the user's calendar that has the setting. - **`object`** `object` — The information of the event. - **`resource_id`** `string` — The resource ID. - **`setting_id`** `string` — The setting ID. - **`operator`** `string` — This field indicates who performed the action. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "operator": "abc@zoom.com", "object": { "resource_id": "abc@zoom.com", "setting_id": "timezone" } } } ``` #### Responses ##### Status: 200 ###### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — A timestamp at which the event occurred. - **`payload` (required)** `object` - **`account_id`** `string` — The account ID of the user's calendar that has the setting. - **`object`** `object` — The information of the event. - **`resource_id`** `string` — The resource ID. - **`setting_id`** `string` — The setting ID. - **`operator`** `string` — This field indicates who performed the action. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "operator": "abc@zoom.com", "object": { "resource_id": "abc@zoom.com", "setting_id": "timezone" } } } ``` ### POST calendar.setting\_update - **Method:** `POST` - **Path:** `calendar.setting_update` - **Tags:** calendar #### Request Body ##### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — A timestamp at which the event occurred. - **`payload` (required)** `object` - **`account_id`** `string` — The account ID of the user's calendar that has the setting. - **`object`** `object` — The information of the event. - **`resource_id`** `string` — The resource ID. - **`setting_id`** `string` — The setting ID. - **`operator`** `string` — This field indicates who performed the action. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "operator": "abc@zoom.com", "object": { "resource_id": "abc@zoom.com", "setting_id": "timezone" } } } ``` #### Responses ##### Status: 200 ###### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — A timestamp at which the event occurred. - **`payload` (required)** `object` - **`account_id`** `string` — The account ID of the user's calendar that has the setting. - **`object`** `object` — The information of the event. - **`resource_id`** `string` — The resource ID. - **`setting_id`** `string` — The setting ID. - **`operator`** `string` — This field indicates who performed the action. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "operator": "abc@zoom.com", "object": { "resource_id": "abc@zoom.com", "setting_id": "timezone" } } } ``` ### POST calendar.calendarlist\_update - **Method:** `POST` - **Path:** `calendar.calendarlist_update` - **Tags:** calendar #### Request Body ##### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — A timestamp at which the event occurred. - **`payload` (required)** `object` - **`account_id`** `string` — The account ID of a user's calendar where the user can add or remove other calendars for event viewing. - **`object`** `object` — The information of the calendar list. - **`resource_id`** `string` — The resource ID. - **`subscribed_calendar_id`** `string` — The calendar ID that the user subscribes to. - **`operator`** `string` — This field indicates who performed the action. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "operator": "abc@zoom.com", "object": { "resource_id": "abc@zoom.com", "subscribed_calendar_id": "def@zoom.com" } } } ``` #### Responses ##### Status: 200 ###### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — A timestamp at which the event occurred. - **`payload` (required)** `object` - **`account_id`** `string` — The account ID of a user's calendar where the user can add or remove other calendars for event viewing. - **`object`** `object` — The information of the calendar list. - **`resource_id`** `string` — The resource ID. - **`subscribed_calendar_id`** `string` — The calendar ID that the user subscribes to. - **`operator`** `string` — This field indicates who performed the action. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "operator": "abc@zoom.com", "object": { "resource_id": "abc@zoom.com", "subscribed_calendar_id": "def@zoom.com" } } } ``` ### POST calendar.acl\_update - **Method:** `POST` - **Path:** `calendar.acl_update` - **Tags:** calendar #### Request Body ##### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — A timestamp at which the event occurred. - **`payload` (required)** `object` - **`account_id`** `string` — The account ID of the user's calendar that has the ACL. - **`object`** `object` — The Information of the ACL. - **`acl_id`** `string` — The ACL ID. - **`resource_id`** `string` — The resource ID. - **`operator`** `string` — This field indicates who performed the action. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "operator": "abc@zoom.com", "object": { "resource_id": "abc@zoom.com", "acl_id": "user:def@zoom.com" } } } ``` #### Responses ##### Status: 200 ###### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — A timestamp at which the event occurred. - **`payload` (required)** `object` - **`account_id`** `string` — The account ID of the user's calendar that has the ACL. - **`object`** `object` — The Information of the ACL. - **`acl_id`** `string` — The ACL ID. - **`resource_id`** `string` — The resource ID. - **`operator`** `string` — This field indicates who performed the action. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "operator": "abc@zoom.com", "object": { "resource_id": "abc@zoom.com", "acl_id": "user:def@zoom.com" } } } ``` ### POST calendar.event\_update - **Method:** `POST` - **Path:** `calendar.event_update` - **Tags:** calendar #### Request Body ##### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — A timestamp at which the event occurred. - **`payload` (required)** `object` - **`account_id`** `string` — the account ID of the user's calendar that has the event. - **`object`** `object` — The information of the event. - **`event_id`** `string` — The event ID. - **`resource_id`** `string` — The resource ID. - **`operator`** `string` — This field indicates who performed the action. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "operator": "abc@zoom.com", "object": { "resource_id": "abc@zoom.com", "event_id": "y95rj3e0i54dbz8hstc2q5qoa1" } } } ``` #### Responses ##### Status: 200 ###### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — A timestamp at which the event occurred. - **`payload` (required)** `object` - **`account_id`** `string` — the account ID of the user's calendar that has the event. - **`object`** `object` — The information of the event. - **`event_id`** `string` — The event ID. - **`resource_id`** `string` — The resource ID. - **`operator`** `string` — This field indicates who performed the action. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "operator": "abc@zoom.com", "object": { "resource_id": "abc@zoom.com", "event_id": "y95rj3e0i54dbz8hstc2q5qoa1" } } } ``` ### POST calendar.calendarlist\_create - **Method:** `POST` - **Path:** `calendar.calendarlist_create` - **Tags:** calendar #### Request Body ##### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — A timestamp at which the event occurred. - **`payload` (required)** `object` - **`account_id`** `string` — The account ID of a user's calendar where the user can add or remove other calendars for event viewing. - **`object`** `object` — The information of the calendar list. - **`resource_id`** `string` — The resource ID. - **`subscribed_calendar_id`** `string` — The calendar ID that the user subscribes to. - **`operator`** `string` — This field indicates who performed the action. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "operator": "abc@zoom.com", "object": { "resource_id": "abc@zoom.com", "subscribed_calendar_id": "def@zoom.com" } } } ``` #### Responses ##### Status: 200 ###### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — A timestamp at which the event occurred. - **`payload` (required)** `object` - **`account_id`** `string` — The account ID of a user's calendar where the user can add or remove other calendars for event viewing. - **`object`** `object` — The information of the calendar list. - **`resource_id`** `string` — The resource ID. - **`subscribed_calendar_id`** `string` — The calendar ID that the user subscribes to. - **`operator`** `string` — This field indicates who performed the action. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "operator": "abc@zoom.com", "object": { "resource_id": "abc@zoom.com", "subscribed_calendar_id": "def@zoom.com" } } } ``` ### POST calendar.calendarlist\_delete - **Method:** `POST` - **Path:** `calendar.calendarlist_delete` - **Tags:** calendar #### Request Body ##### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — A timestamp at which the event occurred. - **`payload` (required)** `object` - **`account_id`** `string` — The account ID of a user's calendar where the user can add or remove other calendars for event viewing - **`object`** `object` — The information of the calendar list. - **`resource_id`** `string` — The resource ID. - **`subscribed_calendar_id`** `string` — The calendar ID of which the user subscribes. - **`operator`** `string` — This field indicates who performed the action. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "operator": "abc@zoom.com", "object": { "resource_id": "abc@zoom.com", "subscribed_calendar_id": "def@zoom.com" } } } ``` #### Responses ##### Status: 200 ###### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — A timestamp at which the event occurred. - **`payload` (required)** `object` - **`account_id`** `string` — The account ID of a user's calendar where the user can add or remove other calendars for event viewing - **`object`** `object` — The information of the calendar list. - **`resource_id`** `string` — The resource ID. - **`subscribed_calendar_id`** `string` — The calendar ID of which the user subscribes. - **`operator`** `string` — This field indicates who performed the action. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "operator": "abc@zoom.com", "object": { "resource_id": "abc@zoom.com", "subscribed_calendar_id": "def@zoom.com" } } } ```